searching produces wrong and inconsistent results
05/30/2008 10:30 AM - Matt Jones
Description

When searching locally for a data package from the search dialog, | get inconsistent results. In my morpho | have 2 assessments,
one with title 'Midterm 1' and one with title 'Midterm 3'. When | search, | get odd results:

Search term Search results/ expected results

blank Both packages returned/ both
'Midterm 1’ 0 results/ one package
'Midterm 3' 0 results/ one package
'Midterm' 0 results /both

'™’ Both packages returned/ both

To fix this, actual results should match expected.

History

#1 - 11/25/2008 03:08 PM - ben leinfelder

turns out we aren't searching element attributes.
the Assessment Title is currently stored in assessment/@title (i.e. <assessment title="Midterm 1" />)

#2 - 11/26/2008 02:44 PM - ben leinfelder

changed the EDML schema to use elements rather than attributes. Now the search will work as expected

#3 - 03/27/2013 02:23 PM - Redmine Admin
Original Bugzilla ID was 3345
